package com.weather.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.weather.entity.WeaAuditRotaInfo;

import java.util.List;

/**
 * <p>
 * 产品存储ftp Mapper 接口
 * </p>
 *
 * @author feng
 * @since 2023-09-05
 */
public interface WeaAuditRotaInfoMapper extends BaseMapper<WeaAuditRotaInfo> {

    /**
     * 查询公告信息
     *
     * @param id 公告ID
     * @return 公告信息
     */
    public WeaAuditRotaInfo selectWeaAuditRotaInfoById(Long id);

    public List<WeaAuditRotaInfo> selectWeaAuditRotaInfoByDate(String rotaYear);

    /**
     * 查询公告列表
     *
     * @param weaAuditRotaInfo 公告信息
     * @return 公告集合
     */
    public List<WeaAuditRotaInfo> selectWeaAuditRotaInfoList(WeaAuditRotaInfo weaAuditRotaInfo);

    /**
     * 新增公告
     *
     * @param weaAuditRotaInfo 公告信息
     * @return 结果
     */
    public int insertWeaAuditRotaInfo(WeaAuditRotaInfo weaAuditRotaInfo);

    /**
     * 修改公告
     *
     * @param weaAuditRotaInfo 公告信息
     * @return 结果
     */
    public int updateWeaAuditRotaInfo(WeaAuditRotaInfo weaAuditRotaInfo);

    /**
     * 批量删除公告
     *
     * @param id 公告ID
     * @return 结果
     */
    public int deleteWeaAuditRotaInfoById(Long id);

}
